Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.view.pixel
Class PixelPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      infomat.view.pixel.PixelPanel

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.Observer, javax.accessibility.Accessible

    public class PixelPanel

extends javax.swing.JPanel
implements java.util.Observer

Presents IMatrixCell:s, and IObjects for rows and columns.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private IVectorPanel` | `cells`
`private IVectorPanel` | `columns`
`private IObjectGrouping` | `currentColumnGrouping`
`private IObjectGrouping` | `currentRowGrouping`
`private InfomatModel` | `model`
`private javax.swing.JTabbedPane` | `pane`
`private IVectorPanel` | `rows`
`private InfomatView` | `view`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PixelPanel(InfomatModel model, InfomatView view, boolean selectable, boolean fileable, boolean orderable)`

Method Summary
`void` | `addAllFrom(PixelPanel pixelPanel)`
`void` | `addCellsFrom(PixelPanel pixelPanel)`
`void` | `addColumnsFrom(PixelPanel pixelPanel)`
`void` | `addRowsFrom(PixelPanel pixelPanel)`
`protected IVector` | `getCells()`
`protected IVector` | `getColumns()`
`protected IVector` | `getRows()`
`void` | `paintComponent(java.awt.Graphics g)`
`void` | `putAllFrom(PixelPanel pixelPanel)`
`void` | `putCellsFrom(PixelPanel pixelPanel)`
`void` | `putColumnsFrom(PixelPanel pixelPanel)`
`void` | `putRowsFrom(PixelPanel pixelPanel)`
`private void` | `resetGroupings()`
`void` | `set(IObjectGroup group, boolean row)`
`void` | `set(SparsePixel sp)`
`void` | `set(java.util.Vector matrixCells)`
`void` | `setAllFrom(PixelPanel pixelPanel)`
`void` | `setCellsFrom(PixelPanel pixelPanel)`
`protected void` | `setColumns(IVector<IObject> vec)`
`void` | `setColumnsFrom(PixelPanel pixelPanel)`
`void` | `setColumnsFromRows(PixelPanel pixelPanel)`
`protected void` | `setElements(java.util.Vector matrixElementVector)`
`protected void` | `setRows(IVector<IObject> vec)`
`void` | `setRowsFrom(PixelPanel pixelPanel)`
`void` | `setRowsFromColumns(PixelPanel pixelPanel)`
`void` | `update(java.util.Observable o, java.lang.Object arg)` Called by the Observable

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### model

    private InfomatModel model

### view

    private InfomatView view

### pane

    private javax.swing.JTabbedPane pane

### cells

    private IVectorPanel cells

### rows

    private IVectorPanel rows

### columns

    private IVectorPanel columns

### currentRowGrouping

    private IObjectGrouping currentRowGrouping

### currentColumnGrouping

    private IObjectGrouping currentColumnGrouping

Constructor Detail

### PixelPanel

    public PixelPanel(InfomatModel model,
                      InfomatView view,
                      boolean selectable,
                      boolean fileable,
                      boolean orderable)

Method Detail

### resetGroupings

    private void resetGroupings()

### update

    public void update(java.util.Observable o,
                       java.lang.Object arg)

  Called by the Observable

  Specified by:
    `update` in interface `java.util.Observer`

### set

    public void set(SparsePixel sp)

### set

    public void set(java.util.Vector matrixCells)

### setAllFrom

    public void setAllFrom(PixelPanel pixelPanel)

### setCellsFrom

    public void setCellsFrom(PixelPanel pixelPanel)

### setRowsFrom

    public void setRowsFrom(PixelPanel pixelPanel)

### setColumnsFrom

    public void setColumnsFrom(PixelPanel pixelPanel)

### setRowsFromColumns

    public void setRowsFromColumns(PixelPanel pixelPanel)

### setColumnsFromRows

    public void setColumnsFromRows(PixelPanel pixelPanel)

### setElements

    protected void setElements(java.util.Vector matrixElementVector)

### addAllFrom

    public void addAllFrom(PixelPanel pixelPanel)

### addCellsFrom

    public void addCellsFrom(PixelPanel pixelPanel)

### addRowsFrom

    public void addRowsFrom(PixelPanel pixelPanel)

### addColumnsFrom

    public void addColumnsFrom(PixelPanel pixelPanel)

### putAllFrom

    public void putAllFrom(PixelPanel pixelPanel)

### putCellsFrom

    public void putCellsFrom(PixelPanel pixelPanel)

### putRowsFrom

    public void putRowsFrom(PixelPanel pixelPanel)

### putColumnsFrom

    public void putColumnsFrom(PixelPanel pixelPanel)

### set

    public void set(IObjectGroup group,
                    boolean row)

### getColumns

    protected IVector getColumns()

### getRows

    protected IVector getRows()

### getCells

    protected IVector getCells()

### setColumns

    protected void setColumns(IVector<IObject> vec)

### setRows

    protected void setRows(IVector<IObject> vec)

### paintComponent

    public void paintComponent(java.awt.Graphics g)

  Overrides:
    `paintComponent` in class `javax.swing.JComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD